package com.ruoyi.interfaces.core;

import com.github.pagehelper.PageInfo;
import java.util.List;

public interface CrudDao<T, P> {
    int insert(T var1);

    int update(T var1);

    int delete(T var1);

    T get(P var1);

    List<T> findList(P var1);

    List<T> findPage(P var1);

    PageInfo<T> findPageInfo(P var1);
}
